Loading...
Searching...
No Matches
Opm::EcfvDiscretization< TypeTag > Class Template Reference

The base class for the element-centered finite-volume discretization scheme. More...

`#include <ecfvdiscretization.hh>`

Inheritance diagram for Opm::EcfvDiscretization< TypeTag >:

## Public Member Functions

| EcfvDiscretization (Simulator &simulator)
std::size_t | numGridDof () const
| Returns the number of global degrees of freedom (DOFs) due to the grid.
const DofMapper & | dofMapper () const
| Mapper to convert the Dune entities of the discretization's degrees of freedoms are to indices.
void | syncOverlap ()
| Syncronize the values of the primary variables on the degrees of freedom that overlap with the neighboring processes.
template<class Restarter>
void | serialize (Restarter &res)
| Serializes the current state of the model.
template<class Restarter>
void | deserialize (Restarter &res)
| Deserializes the state of the model.

## Static Public Member Functions

static std::string | discretizationName ()
| Returns a string of discretization's human-readable name.

## Detailed Description

template<class TypeTag>
class Opm::EcfvDiscretization< TypeTag >

The base class for the element-centered finite-volume discretization scheme.

## Member Function Documentation

## deserialize()

template<class TypeTag>
template<class Restarter>

void Opm::EcfvDiscretization< TypeTag >::deserialize | ( | Restarter & | res | ) |

inline

Deserializes the state of the model.

Template Parameters

  Restarter | The type of the serializer class

Parameters

  res | The serializer object

## serialize()

template<class TypeTag>
template<class Restarter>

void Opm::EcfvDiscretization< TypeTag >::serialize | ( | Restarter & | res | ) |

inline

Serializes the current state of the model.

Template Parameters

  Restarter | The type of the serializer class

Parameters

  res | The serializer object

## syncOverlap()

template<class TypeTag>

void Opm::EcfvDiscretization< TypeTag >::syncOverlap | ( |  | ) |

inline

Syncronize the values of the primary variables on the degrees of freedom that overlap with the neighboring processes.

For the Element Centered Finite Volume discretization, this method retrieves the primary variables corresponding to overlap/ghost elements from their respective master process.

The documentation for this class was generated from the following files:

- opm/models/discretization/common/fvbasegradientcalculator.hh
- opm/models/discretization/ecfv/ecfvdiscretization.hh